# XYMOND_CLIENT

Section: Maintenance Commands (8)
Updated: Version 4.3.30: 4 Sep 2019
Index Return to Main Contents

## NAME

xymond_client - xymond worker module for client data

## SYNOPSIS

xymond_channel --channel=client xymond_client [options]

## DESCRIPTION

xymond_client is a worker module for xymond, and as such it is normally run via the xymond_channel(8) program. It receives xymond client messages sent from systems that have the the Xymon client installed, and use the client data to generate the Xymon status messages for the cpu-, disk-, memory- and procs-columns. It also feeds Xymon data messages with the netstat- and vmstat-data collected by the client.

When generating these status messages from the client data, xymond_client will use the configuration rules defined in the analysis.cfg(5) file to determine the color of each status message.

## OPTIONS

--clear-color=COLOR
  Define the color used when sending "msgs", "files" or "ports" reports and there are no rules to check for these statuses. The default is to show a "clear" status, but some people prefer to have it "green". If you would rather prefer not to see these status columns at all, then you can use the "--no-clear-msgs", "--no-clear-files" and "--no-clear-ports" options instead.

--no-clear-msgs
  If there are no logfile checks, the "msgs" column will show a "clear" status. If you would rather avoid having a "msgs" column, this option causes xymond_client to not send in a clear "msgs" status.

--no-clear-files
  If there are no file checks, the "files" column will show a "clear" status. If you would rather avoid having a "files" column, this option causes xymond_client to not send in a clear "files" status.

--no-clear-ports
  If there are no port checks, the "ports" column will show a "clear" status. If you would rather avoid having a "ports" column, this option causes xymond_client to not send in a clear "ports" status.

--no-ps-listing
  Normally the "procs" status message includes the full process-listing received from the client. If you prefer to just have the monitored processes shown, this option will turn off the full ps-listing.

--no-port-listing
  Normally the "ports" status message includes the full netstat-listing received from the client. If you prefer to just have the monitored ports shown, this option will turn off the full netstat-listing.

--no-cpu-listing
  Normally the "cpu" status message includes the full cpu-listing received from the client. If you prefer to just have the monitored cpu load shown, this option will turn off the full cpu-listing.

--uptime-status
  Generate a separate "uptime" status column. The uptime is normally just reported in the "cpu" status column, but if you would like a separate status column for the uptime, you can use this option. It is useful if you want to generate an alert in case of a reboot, without having this alert mixed in with the cpu load alerts.

--config=FILENAME
  Sets the filename for the analysis.cfg file. The default value is "etc/analysis.cfg" below the Xymon server directory.

--unknownclientosok
  Expect and attempt to parse clients with unknown CLIENTOS types. Useful if you're submitting custom host responses with file or msgs data that you'd like to parse.

--dump-config
  Dumps the configuration after parsing it. May be useful to track down problems with configuration file errors.

--test
  Starts an interactive session where you can test the analysis.cfg configuration.

--collectors=COLLECTOR1[,COLLECTOR2,...]
  Limit the set of collector modules that xymond_client will handle. This is not normally used except for running experimental versions of the program.

--debug
  Enable debugging output.

## FILES

~xymon/server/etc/analysis.cfg

## BUGS

The "disk" status cannot handle filesystems containing whitespace in the filesystem (device) name.

## SEE ALSO

analysis.cfg(5), xymond(8), xymond_channel(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
BUGS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 23:08:11 GMT, September 04, 2019